fse.vo

## Class TypePolicy

- java.lang.Object
- - fse.vo.TypePolicy

-     public class TypePolicy
      extends java.lang.Object

  Contiene le informazioni sul consenso per ruolo istituzionale sui tipi di documento gestiti dal fascicolo.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `documentType`
    `private boolean` | `read`
    `private java.lang.String` | `roleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypePolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentType()` Restutisce l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso.
    `boolean` | `getRead()` Restituisce il permesso di lettura
    `java.lang.String` | `getRoleId()` Restituisce il ruolo istituzionale cui si riferisce il permesso
    `void` | `setDocumentType(java.lang.String documentType)` Imposta l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso.
    `void` | `setRead(boolean read)` Imposta il permesso di lettura.
    `void` | `setRoleId(java.lang.String roleId)` Imposta il ruolo istituzionale cui si riferisce il permesso.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### documentType

          private java.lang.String documentType

    - #### roleId

          private java.lang.String roleId

    - #### read

          private boolean read

  - ### Constructor Detail

    - #### TypePolicy

          public TypePolicy()

  - ### Method Detail

    - #### getRoleId

          public java.lang.String getRoleId()

      Restituisce il ruolo istituzionale cui si riferisce il permesso
      Returns:
        il ruolo istituzionale dell'operatore

    - #### setRoleId

          public void setRoleId(java.lang.String roleId)

      Imposta il ruolo istituzionale cui si riferisce il permesso. Parametro obbligatorio.
      Parameters:
        `roleId` - il nuovo ruolo istituzionale

    - #### getRead

          public boolean getRead()

      Restituisce il permesso di lettura
      Returns:
        il permesso di lettura

    - #### setRead

          public void setRead(boolean read)

      Imposta il permesso di lettura. Parametro obbligatorio.
      Parameters:
        `read` - il nuovo permesso di lettura

    - #### getDocumentType

          public java.lang.String getDocumentType()

      Restutisce l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo documento

    - #### setDocumentType

          public void setDocumentType(java.lang.String documentType)

      Imposta l'identificativo FSE del tipo documento, secondo la codifica LOINC, cui si riferisce il permesso. Parametro obbligatorio.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentType` - il nuovo tipo documento